---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "smallstep_collection_instance Resource - terraform-provider-smallstep"
subcategory: ""
description: |-
  An instance in a collection.
---

# smallstep_collection_instance (Resource)

An instance in a collection.

## Example Usage

```terraform
resource "smallstep_collection_instance" "server1" {
  id              = "urn:ek:sha256:RAzbOveN1Y45fYubuTxu5jOXWtOK1HbfZ7yHjBuWlyE="
  data            = "{}"
  collection_slug = smallstep_collection.tpms.slug
  depends_on      = [smallstep_collection.tpms]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `collection_slug` (String) The collection will be created implicitly if it does not exist.
If creating this collection with a smallstep_collection resource in the same config you MUST use depends_on to avoid race conditions.
- `data` (String) The instance data.

### Read-Only

- `created_at` (String) Timestamp in RFC3339 format when the instance was added to the collection.
- `id` (String) The ID of this resource.
- `out_data` (String) The instance data stored after any modifications made server-side. If the instance belongs to a device collection a host ID attribute will be added to the data.
- `updated_at` (String) Timestamp in RFC3339 format when the instance was last changed.

## Import

Import is supported using the following syntax:

```shell
terraform import smallstep_collection_instance.device1 devicescollection/device1
```
